import 'package:flutter/services.dart';
import 'constants.dart';
import 'ad_base.dart';

class AdfurikunPlugin {
  static const MethodChannel _channel = const MethodChannel(ADFURIKUN_METHOD_CHANNEL);
  static Map<int, AdfurikunAdBase> _adMap = Map();

  static Future<void> invoke(String method, Map<String, Object> arguments) async {
    try {
      await _channel.invokeMethod(method, arguments);
    } catch (e) {
      print(e.toString());
    }
  }

  static Future<bool> invokeReturnBool(String method, Map<String, Object> arguments) async {
    try {
      return await _channel.invokeMethod(method, arguments);
    } catch (e) {
      print(e.toString());
      return false;
    }
  }

  static void registerAd(AdfurikunAdBase ad) {
    _channel.setMethodCallHandler(_handle);
    _adMap[ad.number] = ad;
  }

  static void removeAd(AdfurikunAdBase ad) {
    _adMap.remove(ad.number);
  }

  static Future<void> _handle(MethodCall call) async {
    int? number = call.arguments[KEY_NUMBER];
    if (number != null) {
      AdfurikunAdBase? ad = _adMap[number];
      if (ad != null) {
        ad.notifyListener(call);
      }
    }
  }
}
